<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:background="@drawable/bg_confide_permission">

            <TextView
                android:id="@+id/tvTitle"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="26dp"
                android:text="温馨提示"
                android:textColor="@color/white"
                android:textSize="21sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="8dp"
                android:text="为能正常倾诉通话，请务必开启以下权限"
                android:textColor="@color/white"
                android:textSize="12sp"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/tvTitle" />

            <ImageView
                android:id="@+id/ivMicro"
                android:layout_width="38dp"
                android:layout_height="38dp"
                android:layout_marginLeft="30dp"
                android:layout_marginTop="144dp"
                android:src="@drawable/ic_confide_microphone"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tvPermission"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="4dp"
                android:text="麦克风权限"
                android:textColor="#1c1f28"
                android:textSize="17sp"
                android:textStyle="bold"
                app:layout_constraintBottom_toTopOf="@+id/tvPermissionDesc"
                app:layout_constraintLeft_toRightOf="@+id/ivMicro"
                app:layout_constraintTop_toTopOf="@+id/ivMicro" />

            <TextView
                android:id="@+id/tvPermissionDesc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="4dp"
                android:layout_marginTop="4dp"
                android:text="启用麦克风，以正常进行语音沟通"
                android:textColor="#9d9ea7"
                android:textSize="12sp"
                app:layout_constraintBottom_toBottomOf="@+id/ivMicro"
                app:layout_constraintLeft_toRightOf="@+id/ivMicro"
                app:layout_constraintTop_toBottomOf="@+id/tvPermission" />

            <TextView
                android:id="@+id/tvBtn"
                android:layout_width="0dp"
                android:layout_height="47dp"
                android:layout_marginLeft="30dp"
                android:layout_marginTop="38dp"
                android:layout_marginRight="30dp"
                android:layout_marginBottom="24dp"
                android:background="@drawable/bg_confide_gradient_main_color"
                android:gravity="center"
                android:text="一键启用"
                android:textColor="@color/white"
                android:textSize="16sp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toBottomOf="@+id/ivMicro" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <ImageView
            android:id="@+id/ivClose"
            android:layout_width="33dp"
            android:layout_height="33dp"
            android:layout_gravity="top|right"
            android:padding="6dp"
            android:src="@drawable/ic_confide_permission_close" />
    </FrameLayout>
</layout>